Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sdb
Class sdbsql

    java.lang.Object
      arq.cmdline.CommandLineBase
          arq.cmdline.CmdLineArgs
              arq.cmdline.CmdMain
                  arq.cmdline.CmdArgModule
                      arq.cmdline.CmdGeneral
                          sdb.cmd.CmdArgsDB
                              sdb.sdbsql

All Implemented Interfaces:
  arq.cmdline.CallbackHelp

    public class sdbsql

extends CmdArgsDB

Field Summary
`static String` | `usage`

Constructor Summary
`sdbsql(String... argv)`

Method Summary
`static void` | `main(String... argv)`

Methods inherited from class arq.cmdline.CmdGeneral
`add, addModule, doHelp, getUsage, usage, usage`

Methods inherited from class arq.cmdline.CmdArgModule
`process`

Methods inherited from class arq.cmdline.CmdMain
`cmdError, cmdError, mainAndExit, mainRun, mainRun, mainRun`

Methods inherited from class arq.cmdline.CmdLineArgs
`add, add, add, addArg, addArg, addPositional, contains, contains, containsMultiple, containsMultiple, getArg, getArg, getNumPositional, getPositional, getPositionalArg, getValue, getValue, getValues, getValues, hasArg, hasArg, hasArgs, hasPositional, hasValueOfFalse, hasValueOfTrue, indirect, indirect, matchesIndirect, matchesIndirect, toString`

Methods inherited from class arq.cmdline.CommandLineBase
`setArgs`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### usage

    public static final String usage

See Also:
  Constant Field Values

Constructor Detail

### sdbsql

    public sdbsql(String... argv)

Method Detail

### main

    public static void main(String... argv)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.